%define phpversion 4.0.4pl1
%define phprelease 6mdk
%define phpdir %{_libdir}/php 
%define phpsource /usr/src/php-devel
%define tclinkversion 3.2
%define apachecontent /var/www/html 

Summary:	TrustCommerce payment module for PHP4
Name:		php-tclink
Version:	%{phpversion}
Release:	1mdk
Group:		System/Servers
Copyright:	LGPL
BuildRoot:	%{_tmppath}/%{name}-root
Prereq:		php-common = %{phpversion}, perl
Prereq:		libtclink = %{tclinkversion}
BuildRequires:  php-devel = %{phpversion}

URL: http://www.trustcommerce.com
Source0: tclink-3.2-php.tar.bz2

%description
  TCLink is a thin client library to allow your e-commerce servers to
connect to the TrustCommerce payment gateway easily and consistently.
The protocol (which is the same across all platforms and languages) is
well-documented in the Web Developer's Guide, so please consult it for
any questions you may have about the protocol syntax itself.

The TrustCommerce web site is at http://www.trustcommerce.com

%package -n libtclink
Version: 	%{tclinkversion}
Summary:	TrustCommerce C library
Release:	1mdk
Group:		System/Servers
Copyright:	LGPL

%description -n libtclink
The shared library to connect to the TrustCommerce payment gateway

%prep

%setup  -n tclink-%{tclinkversion}-php

%build
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

perl -pi -e "s/libssl.a/libssl.so/g;" php/config.m4

TOP=$PWD
make -C C
cd php
phpize
./configure --with-tclink=$TOP/C --with-ssl=/usr/lib
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT 

mkdir -p $RPM_BUILD_ROOT%{_libdir}
install -m 755 -s C/libtclink.so $RPM_BUILD_ROOT%{_libdir}

mkdir -p $RPM_BUILD_ROOT%{phpdir}/extensions
install -m 755 -s php/modules/tclink.so $RPM_BUILD_ROOT%{phpdir}/extensions/

mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
echo > $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/README <<EOF
The php-tclink package contains a dynamic shared object (DSO) for PHP4. 
To activate it, make sure the line 'extension=tclink.so' is uncommented
in your /etc/php.ini file.
EOF

mkdir -p $RPM_BUILD_ROOT%{apachecontent}/addon-modules
install -m 755 tctest.php $RPM_BUILD_ROOT%{apachecontent}/addon-modules
cd $RPM_BUILD_ROOT%{apachecontent}/addon-modules
ln -s tctest.php tctest.phps 

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post
if [ $1 = "1" ]; then
  if [ -f %{_sysconfdir}/php.ini ]; then
    LINE=`grep ^extension\s*=\s*tclink.so$ %{_sysconfdir}/php.ini`
    if [ x$LINE = "x" ]; then
      echo extension = tclink.so >> %{_sysconfdir}/php.ini
    fi
  fi
fi
if [ $1 -gt 1 ]; then
   #We're in *upgrade mode*. Since we can't be sure the configuration files
   #are sane, remove module from the conf files to clean them, re-add again
   #in a way that the older module we're replacing won't try to erase (the
   #post scripts were broken on some packages)
   #Also, there could be extra lines, so make sure we uncomment one
   #Finally, don't check for presence of php.ini, if it's not there,
   #we have a problem, so it should generate an error message.
   perl -pi -e 's|^extension\s*=\s*tclink.so|;extension = tclink.so|g' %{_sysconfdir}/php.ini
   perl -pi -e 's|^;extension\s*=\s*tclink.so|extension = tclink.so|' %{_sysconfdir}/php.ini
fi
if [ -e %{_sbindir}/AESctl ]; then %{_sbindir}/AESctl update;fi 

%preun
if [ $1 = "0" ]; then
  if [ -f %{_sysconfdir}/php.ini ]; then
    perl -pi -e 's|^extension\s*=\s*tclink.so|;extension = tclink.so|g' %{_sysconfdir}/php.ini
  fi
  if [ -e %{_sbindir}/AESctl ]; then %{_sbindir}/AESctl update;fi 
fi

%files 
%defattr(-,root,root)
%{phpdir}/extensions/tclink.so
%attr(755,apache,apache) %{apachecontent}/addon-modules/*
%dir %{_docdir}/%{name}-%{version}
%{_docdir}/%{name}-%{version}/README

%files -n libtclink
%defattr(-,root,root)
%{_libdir}/libtclink.so
%doc README COPYING

%changelog
* Sat Apr 14 2001 Jean-Michel Dault <jmdault@mandrakesoft.com> 4.0.4pl1-1mdk
- New package, will be used by the Mandrake Payment web sites
